- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.cases.agenticCaseReports.list
Lists all agenticCaseReports for a customer.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/agenticCaseReports
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent case. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of reports to return. |
pageToken |
Optional. A page token, received from a previous call. |
Request body
The request body must be empty.
Response body
Response to list agentic case reports.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"agenticCaseReports": [
{
object ( |
| Fields | |
|---|---|
agenticCaseReports[] |
The list of reports. |
nextPageToken |
A token to retrieve the next page of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.agenticCaseReports.get
For more information, see the IAM documentation.